> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Read one run

> Includes per-step results and, for runs with an AI step, the session transcript.



## OpenAPI

````yaml get /automation/runs/{runId}
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /automation/runs/{runId}:
    get:
      tags:
        - Automations
      summary: Read one run
      description: >-
        Includes per-step results and, for runs with an AI step, the session
        transcript.
      operationId: getAutomationRun
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: runId
          in: path
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      run:
                        type: object
                        properties:
                          _id:
                            type: string
                          automationId:
                            type: string
                          projectId:
                            type: string
                          workspaceId:
                            type: string
                          status:
                            type: string
                            enum:
                              - queued
                              - running
                              - succeeded
                              - failed
                              - cancelled
                          attempts:
                            type: number
                          queuedAt:
                            type: number
                          startedAt:
                            type: number
                          finishedAt:
                            type: number
                          stepResults:
                            type: array
                            items:
                              type: object
                              additionalProperties: {}
                          projectsTouched:
                            type: array
                            items:
                              type: string
                          summary:
                            type: string
                          notable:
                            type: boolean
                          error:
                            type: string
                          affectedRowCount:
                            type: number
                          externalWriteCount:
                            type: number
                          tokensIn:
                            type: number
                          tokensOut:
                            type: number
                          reverted:
                            type: boolean
                        required:
                          - _id
                          - automationId
                          - projectId
                          - workspaceId
                          - status
                          - attempts
                          - queuedAt
                          - stepResults
                          - projectsTouched
                          - affectedRowCount
                          - externalWriteCount
                          - tokensIn
                          - tokensOut
                      transcript:
                        type: array
                        items: {}
                    required:
                      - run
                required:
                  - data
        '403':
          description: 403 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '404':
          description: 404 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````